
<!doctype html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module yahoo.search.dom.audio</title>
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong><a href="yahoo.html"><font color="#ffffff">yahoo</font></a>.<a href="yahoo.search.html"><font color="#ffffff">search</font></a>.<a href="yahoo.search.dom.html"><font color="#ffffff">dom</font></a>.audio</strong></big></big> (version 1.4, Tue Feb 27 14:19:41 MST 2007)</font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/leif/hack/pysearch/yahoo/search/dom/audio.py">/home/leif/hack/pysearch/yahoo/search/dom/audio.py</a></font></td></tr></table>
    <p><tt>DOM&nbsp;parser&nbsp;for&nbsp;Audio&nbsp;search&nbsp;results<br>
&nbsp;<br>
Implement&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;the&nbsp;Yahoo&nbsp;Search&nbsp;Web&nbsp;Services<br>
audio&nbsp;search&nbsp;APIs.</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#fffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="yahoo.search.dom.html">yahoo.search.dom</a><br>
</td><td width="25%" valign=top><a href="yahoo.search.parser.html">yahoo.search.parser</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>(<a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.audio.html#PodcastSearch">PodcastSearch</a>
</font></dt><dt><font face="helvetica, arial"><a href="yahoo.search.dom.audio.html#SongDownloadLocation">SongDownloadLocation</a>
</font></dt></dl>
</dd>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.audio.html#_AudioParser">_AudioParser</a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.audio.html#AlbumSearch">AlbumSearch</a>
</font></dt><dt><font face="helvetica, arial"><a href="yahoo.search.dom.audio.html#ArtistSearch">ArtistSearch</a>
</font></dt><dt><font face="helvetica, arial"><a href="yahoo.search.dom.audio.html#SongSearch">SongSearch</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="AlbumSearch">class <strong>AlbumSearch</strong></a>(<a href="yahoo.search.dom.audio.html#_AudioParser">_AudioParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#AlbumSearch">AlbumSearch</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Album&nbsp;Search<br>
&nbsp;<br>
Each&nbsp;result&nbsp;is&nbsp;a&nbsp;dictionary&nbsp;populated&nbsp;with&nbsp;the&nbsp;extracted&nbsp;data&nbsp;from&nbsp;the<br>
XML&nbsp;results.&nbsp;The&nbsp;following&nbsp;keys&nbsp;are&nbsp;always&nbsp;available:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Title&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;title&nbsp;of&nbsp;the&nbsp;album.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Artist&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;performer&nbsp;of&nbsp;the&nbsp;album,&nbsp;and&nbsp;the&nbsp;unique&nbsp;ID<br>
&nbsp;&nbsp;&nbsp;&nbsp;Publisher&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;publisher&nbsp;of&nbsp;the&nbsp;album.<br>
&nbsp;&nbsp;&nbsp;&nbsp;ReleaseDate&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;date&nbsp;of&nbsp;the&nbsp;album's&nbsp;release.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Internal&nbsp;ID&nbsp;of&nbsp;the&nbsp;album,&nbsp;unique&nbsp;identifier.<br>
&nbsp;<br>
The&nbsp;following&nbsp;attributes&nbsp;are&nbsp;optional,&nbsp;and&nbsp;might&nbsp;not&nbsp;be&nbsp;set:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Tracks&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Number&nbsp;of&nbsp;tracks&nbsp;on&nbsp;the&nbsp;album.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Thumbnail&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;of&nbsp;a&nbsp;thumbnail&nbsp;picture&nbsp;of&nbsp;the&nbsp;album&nbsp;cover.<br>
&nbsp;&nbsp;&nbsp;&nbsp;RelatedAlbums&nbsp;&nbsp;-&nbsp;Contains&nbsp;a&nbsp;list&nbsp;of&nbsp;related&nbsp;(similar)&nbsp;albums&nbsp;(IDs).<br>
&nbsp;<br>
Thumbnail&nbsp;is&nbsp;in&nbsp;turn&nbsp;another&nbsp;dictionary,&nbsp;which&nbsp;will&nbsp;have&nbsp;the&nbsp;following<br>
keys:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;URL&nbsp;of&nbsp;the&nbsp;thumbnail.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Height&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Height&nbsp;of&nbsp;the&nbsp;thumbnail,&nbsp;in&nbsp;pixels&nbsp;(optional).<br>
&nbsp;&nbsp;&nbsp;&nbsp;Width&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Width&nbsp;of&nbsp;the&nbsp;thumbnail,&nbsp;in&nbsp;pixels&nbsp;(optional).<br>
&nbsp;<br>
The&nbsp;two&nbsp;attributes&nbsp;Artist&nbsp;and&nbsp;RelatedAlbums&nbsp;are&nbsp;both&nbsp;lists&nbsp;of<br>
dictionaries,&nbsp;with&nbsp;the&nbsp;following&nbsp;two&nbsp;keys:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Name&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Textual&nbsp;"name"&nbsp;value.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Unique&nbsp;identifier&nbsp;(internal&nbsp;yahoo&nbsp;ID).<br>
&nbsp;<br>
&nbsp;<br>
Example:<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;=&nbsp;ws.<a href="#AlbumSearch-parse_results">parse_results</a>()<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;results:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;"%s&nbsp;-&nbsp;%s&nbsp;bytes"&nbsp;%&nbsp;(res.Artist.Name,&nbsp;res.Artist.Id)<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.audio.html#AlbumSearch">AlbumSearch</a></dd>
<dd><a href="yahoo.search.dom.audio.html#_AudioParser">_AudioParser</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="AlbumSearch-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="AlbumSearch-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="AlbumSearch-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="ArtistSearch">class <strong>ArtistSearch</strong></a>(<a href="yahoo.search.dom.audio.html#_AudioParser">_AudioParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#ArtistSearch">ArtistSearch</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Artist&nbsp;Search<br>
&nbsp;<br>
&nbsp;Each&nbsp;result&nbsp;is&nbsp;a&nbsp;dictionary&nbsp;populated&nbsp;with&nbsp;the&nbsp;extracted&nbsp;data&nbsp;from&nbsp;the<br>
&nbsp;XML&nbsp;results.&nbsp;The&nbsp;following&nbsp;keys&nbsp;are&nbsp;always&nbsp;available:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Name&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;name&nbsp;of&nbsp;the&nbsp;artist.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Internal&nbsp;ID&nbsp;of&nbsp;the&nbsp;artist,&nbsp;unique&nbsp;identifier.<br>
&nbsp;<br>
&nbsp;The&nbsp;following&nbsp;attributes&nbsp;are&nbsp;optional,&nbsp;and&nbsp;might&nbsp;not&nbsp;be&nbsp;set:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Thumbnail&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;of&nbsp;the&nbsp;thumbnail&nbsp;file.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RelatedArtists&nbsp;-&nbsp;Contains&nbsp;a&nbsp;list&nbsp;of&nbsp;related&nbsp;artists&nbsp;that&nbsp;fans&nbsp;of<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;the&nbsp;artist&nbsp;in&nbsp;this&nbsp;Result&nbsp;might&nbsp;like.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;PopularSongs&nbsp;&nbsp;&nbsp;-&nbsp;Contains&nbsp;a&nbsp;list&nbsp;of&nbsp;popular&nbsp;songs&nbsp;by&nbsp;this&nbsp;artist.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;YahooMusicPage&nbsp;-&nbsp;The&nbsp;URL&nbsp;to&nbsp;link&nbsp;to&nbsp;the&nbsp;artist's&nbsp;page&nbsp;on&nbsp;the<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Yahoo&nbsp;Music&nbsp;site.&nbsp;This&nbsp;can&nbsp;be&nbsp;empty!<br>
&nbsp;<br>
&nbsp;Thumbnail&nbsp;is&nbsp;in&nbsp;turn&nbsp;another&nbsp;dictionary,&nbsp;which&nbsp;will&nbsp;have&nbsp;the&nbsp;following<br>
&nbsp;keys:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;URL&nbsp;of&nbsp;the&nbsp;thumbnail.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Height&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Height&nbsp;of&nbsp;the&nbsp;thumbnail,&nbsp;in&nbsp;pixels&nbsp;(optional).<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Width&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Width&nbsp;of&nbsp;the&nbsp;thumbnail,&nbsp;in&nbsp;pixels&nbsp;(optional).<br>
&nbsp;<br>
Both&nbsp;RelatedArtist&nbsp;and&nbsp;PopularSongs&nbsp;are&nbsp;lists&nbsp;of&nbsp;IDs,&nbsp;which&nbsp;can&nbsp;be<br>
used&nbsp;as&nbsp;an&nbsp;identifier&nbsp;into&nbsp;subsequent&nbsp;Yahoo&nbsp;Audio&nbsp;search&nbsp;calls.<br>
&nbsp;<br>
&nbsp;Example:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;=&nbsp;ws.<a href="#ArtistSearch-parse_results">parse_results</a>()<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;results:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;"%s&nbsp;-&nbsp;%s&nbsp;bytes"&nbsp;%&nbsp;(res.Name,&nbsp;res.YahooMusicPage)<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.audio.html#ArtistSearch">ArtistSearch</a></dd>
<dd><a href="yahoo.search.dom.audio.html#_AudioParser">_AudioParser</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="ArtistSearch-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="ArtistSearch-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="ArtistSearch-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="PodcastSearch">class <strong>PodcastSearch</strong></a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#PodcastSearch">PodcastSearch</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Podcast&nbsp;Search<br>
&nbsp;<br>
Each&nbsp;result&nbsp;is&nbsp;a&nbsp;dictionary&nbsp;populated&nbsp;with&nbsp;the&nbsp;extracted&nbsp;data&nbsp;from&nbsp;the<br>
XML&nbsp;results.&nbsp;The&nbsp;following&nbsp;keys&nbsp;are&nbsp;always&nbsp;available:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Title&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;title&nbsp;of&nbsp;the&nbsp;audio&nbsp;file.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Summary&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Summary&nbsp;text&nbsp;associated&nbsp;with&nbsp;the&nbsp;audio&nbsp;file.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;the&nbsp;audio&nbsp;file&nbsp;or&nbsp;stream.<br>
&nbsp;&nbsp;&nbsp;&nbsp;ClickUrl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;linking&nbsp;to&nbsp;the&nbsp;audio&nbsp;file.<br>
&nbsp;&nbsp;&nbsp;&nbsp;RefererUrl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;of&nbsp;the&nbsp;web&nbsp;page&nbsp;hosting&nbsp;the&nbsp;content.<br>
&nbsp;&nbsp;&nbsp;&nbsp;FileSize&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;size&nbsp;of&nbsp;the&nbsp;file,&nbsp;in&nbsp;bytes.<br>
&nbsp;&nbsp;&nbsp;&nbsp;FileFormat&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;One&nbsp;of&nbsp;aiff,&nbsp;midi,&nbsp;mp3,&nbsp;msmedia,&nbsp;quicktime,<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;realmedia,&nbsp;wav&nbsp;or&nbsp;other.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Duration&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;duration&nbsp;of&nbsp;the&nbsp;audio&nbsp;file&nbsp;in&nbsp;seconds.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Streaming&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Whether&nbsp;the&nbsp;audio&nbsp;file&nbsp;is&nbsp;streaming&nbsp;or&nbsp;not.<br>
&nbsp;<br>
The&nbsp;following&nbsp;attributes&nbsp;are&nbsp;optional,&nbsp;and&nbsp;might&nbsp;not&nbsp;be&nbsp;set:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;SampleSize&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;number&nbsp;of&nbsp;bits&nbsp;used&nbsp;in&nbsp;sampling&nbsp;the&nbsp;sound.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Channels&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;number&nbsp;of&nbsp;channels&nbsp;in&nbsp;the&nbsp;audio.&nbsp;Usually<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;(mono)&nbsp;or&nbsp;2&nbsp;(stereo).<br>
&nbsp;&nbsp;&nbsp;&nbsp;Publisher&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;creator&nbsp;of&nbsp;the&nbsp;video&nbsp;file.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Restrictions&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Provides&nbsp;any&nbsp;restrictions&nbsp;for&nbsp;this&nbsp;media<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;object.&nbsp;Restrictions&nbsp;include&nbsp;noframe&nbsp;and<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;noinline.&nbsp;See&nbsp;developer&nbsp;site&nbsp;for&nbsp;more&nbsp;info.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Copyright&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;copyright&nbsp;owner.<br>
&nbsp;<br>
If&nbsp;present,&nbsp;the&nbsp;Thumbnail&nbsp;value&nbsp;is&nbsp;in&nbsp;turn&nbsp;another&nbsp;dictionary,&nbsp;which&nbsp;will<br>
have&nbsp;these&nbsp;keys:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;URL&nbsp;of&nbsp;the&nbsp;thumbnail.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Height&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Height&nbsp;of&nbsp;the&nbsp;thumbnail&nbsp;in&nbsp;pixels&nbsp;(optional).<br>
&nbsp;&nbsp;&nbsp;&nbsp;Width&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Width&nbsp;of&nbsp;the&nbsp;thumbnail&nbsp;in&nbsp;pixels&nbsp;(optional).<br>
&nbsp;<br>
&nbsp;<br>
Example:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;=&nbsp;ws.<a href="#PodcastSearch-parse_results">parse_results</a>(dom)<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;results:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;"%s&nbsp;-&nbsp;%s&nbsp;bytes"&nbsp;%&nbsp;(res.Title,&nbsp;res.FileSize)<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.audio.html#PodcastSearch">PodcastSearch</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="PodcastSearch-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="PodcastSearch-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="PodcastSearch-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="SongDownloadLocation">class <strong>SongDownloadLocation</strong></a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#SongDownloadLocation">SongDownloadLocation</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Song&nbsp;Download&nbsp;Location<br>
&nbsp;<br>
Each&nbsp;result&nbsp;is&nbsp;a&nbsp;dictionary&nbsp;populated&nbsp;with&nbsp;the&nbsp;extracted&nbsp;data&nbsp;from&nbsp;the<br>
XML&nbsp;results.&nbsp;The&nbsp;following&nbsp;keys&nbsp;are&nbsp;always&nbsp;available:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Source&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;source&nbsp;provider&nbsp;for&nbsp;the&nbsp;file.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;url&nbsp;for&nbsp;accessing&nbsp;the&nbsp;file.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Format&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;format&nbsp;the&nbsp;file&nbsp;has&nbsp;been&nbsp;encoded&nbsp;in.<br>
&nbsp;<br>
The&nbsp;following&nbsp;attributes&nbsp;are&nbsp;optional,&nbsp;and&nbsp;might&nbsp;not&nbsp;be&nbsp;set:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Price&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;price,&nbsp;in&nbsp;dollars,&nbsp;of&nbsp;the&nbsp;song.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Length&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;length&nbsp;of&nbsp;the&nbsp;song&nbsp;in&nbsp;seconds.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Channels&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;number&nbsp;of&nbsp;channels.&nbsp;Usually&nbsp;1&nbsp;(mono)&nbsp;or<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;(stereo).<br>
&nbsp;&nbsp;&nbsp;&nbsp;Restrictions&nbsp;&nbsp;-&nbsp;A&nbsp;space-separated&nbsp;list&nbsp;of&nbsp;restrictions:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;drm&nbsp;denotes&nbsp;files&nbsp;with&nbsp;some&nbsp;form&nbsp;of&nbsp;digital<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rights&nbsp;management.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;subrequired&nbsp;means&nbsp;a&nbsp;subscription&nbsp;to&nbsp;the<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;appropriate&nbsp;service&nbsp;is&nbsp;required.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;subnotrequired&nbsp;means&nbsp;a&nbsp;subscription&nbsp;to&nbsp;the<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;appropriate&nbsp;service&nbsp;is&nbsp;not&nbsp;required.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;win&nbsp;denotes&nbsp;files&nbsp;that&nbsp;will&nbsp;play&nbsp;on&nbsp;Windows.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;mac&nbsp;denotes&nbsp;files&nbsp;that&nbsp;will&nbsp;play&nbsp;on&nbsp;Macintosh.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;copyokay&nbsp;means&nbsp;this&nbsp;file&nbsp;may&nbsp;be&nbsp;copied.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;copynotokay&nbsp;means&nbsp;this&nbsp;file&nbsp;may&nbsp;not&nbsp;be&nbsp;copied.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;cdokay&nbsp;means&nbsp;this&nbsp;file&nbsp;may&nbsp;be&nbsp;burned&nbsp;to&nbsp;CD.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Quality&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;A&nbsp;quality&nbsp;metric&nbsp;for&nbsp;files&nbsp;found&nbsp;on&nbsp;the&nbsp;web.&nbsp;Values<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;range&nbsp;from&nbsp;1&nbsp;(worst)&nbsp;to&nbsp;5&nbsp;(best).<br>
&nbsp;<br>
Example:<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;=&nbsp;ws.<a href="#SongDownloadLocation-parse_results">parse_results</a>()<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;results:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;"%s&nbsp;-&nbsp;%s&nbsp;bytes"&nbsp;%&nbsp;(res.Name,&nbsp;res.YahooMusicPage)<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.audio.html#SongDownloadLocation">SongDownloadLocation</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="SongDownloadLocation-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="SongDownloadLocation-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="SongDownloadLocation-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="SongSearch">class <strong>SongSearch</strong></a>(<a href="yahoo.search.dom.audio.html#_AudioParser">_AudioParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#SongSearch">SongSearch</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Song&nbsp;Search<br>
&nbsp;<br>
Each&nbsp;result&nbsp;is&nbsp;a&nbsp;dictionary&nbsp;populated&nbsp;with&nbsp;the&nbsp;extracted&nbsp;data&nbsp;from&nbsp;the<br>
XML&nbsp;results.&nbsp;The&nbsp;following&nbsp;keys&nbsp;are&nbsp;always&nbsp;available:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Title&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;title&nbsp;of&nbsp;the&nbsp;song.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Internal&nbsp;ID&nbsp;of&nbsp;the&nbsp;song,&nbsp;unique&nbsp;identifier.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Album&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;album&nbsp;from&nbsp;which&nbsp;the&nbsp;song&nbsp;was&nbsp;taken,&nbsp;and&nbsp;ID.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Artist&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;performer&nbsp;of&nbsp;the&nbsp;album,&nbsp;and&nbsp;the&nbsp;unique&nbsp;ID.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Publisher&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;publisher&nbsp;of&nbsp;the&nbsp;album.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Length&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;length&nbsp;of&nbsp;the&nbsp;song&nbsp;in&nbsp;seconds.<br>
&nbsp;&nbsp;&nbsp;&nbsp;ReleaseDate&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;date&nbsp;of&nbsp;the&nbsp;album's&nbsp;release.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Track&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;track&nbsp;number&nbsp;on&nbsp;the&nbsp;album.<br>
&nbsp;&nbsp;&nbsp;&nbsp;ClickUrl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;linking&nbsp;to&nbsp;the&nbsp;audio&nbsp;file.<br>
&nbsp;<br>
The&nbsp;following&nbsp;attributes&nbsp;are&nbsp;optional,&nbsp;and&nbsp;might&nbsp;not&nbsp;be&nbsp;set:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Thumbnail&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;of&nbsp;a&nbsp;thumbnail&nbsp;picture&nbsp;of&nbsp;the&nbsp;album&nbsp;cover.<br>
&nbsp;<br>
Thumbnail&nbsp;is&nbsp;in&nbsp;turn&nbsp;another&nbsp;dictionary,&nbsp;which&nbsp;will&nbsp;have&nbsp;the&nbsp;following<br>
keys:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;URL&nbsp;of&nbsp;the&nbsp;thumbnail.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Height&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Height&nbsp;of&nbsp;the&nbsp;thumbnail,&nbsp;in&nbsp;pixels&nbsp;(optional).<br>
&nbsp;&nbsp;&nbsp;&nbsp;Width&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Width&nbsp;of&nbsp;the&nbsp;thumbnail,&nbsp;in&nbsp;pixels&nbsp;(optional).<br>
&nbsp;<br>
The&nbsp;two&nbsp;attributes&nbsp;Artist&nbsp;and&nbsp;RelatedAlbums&nbsp;are&nbsp;both&nbsp;lists&nbsp;of&nbsp;dicts,<br>
with&nbsp;the&nbsp;keys:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Name&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Textual&nbsp;"name"&nbsp;value.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Unique&nbsp;identifier&nbsp;(internal&nbsp;yahoo&nbsp;ID).<br>
&nbsp;<br>
&nbsp;<br>
Example:<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;=&nbsp;ws.<a href="#SongSearch-parse_results">parse_results</a>()<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;results:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;"%s&nbsp;-&nbsp;%s&nbsp;bytes"&nbsp;%&nbsp;(res.Artist.Name,&nbsp;res.Title)<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.audio.html#SongSearch">SongSearch</a></dd>
<dd><a href="yahoo.search.dom.audio.html#_AudioParser">_AudioParser</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="SongSearch-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="SongSearch-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="SongSearch-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>__author__</strong> = 'Leif Hedstrom &lt;leif@ogre.com&gt;'<br>
<strong>__date__</strong> = 'Tue Feb 27 14:19:41 MST 2007'<br>
<strong>__revision__</strong> = '$Id: audio.py,v 1.4 2007/02/28 05:20:11 zwoop Exp $'<br>
<strong>__version__</strong> = '$Revision: 1.4 $'</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#7799ee">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Author</strong></big></font></td></tr>
    
<tr><td bgcolor="#7799ee"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%">Leif&nbsp;Hedstrom&nbsp;&lt;leif@ogre.com&gt;</td></tr></table>
</body></html>